package com.xhpc.activity.mapper;

import com.xhpc.activity.domain.XhpcClearingBankDomain;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface XhpcClearingBankMapper {
    int deleteByPrimaryKey(Long clearingBankId);

    int insert(XhpcClearingBankDomain record);

    XhpcClearingBankDomain selectByPrimaryKey(Long clearingBankId);

    int updateByPrimaryKey(XhpcClearingBankDomain record);

    int deleteLogicByPrimaryKey(Long clearingBankId);

    int deleteLogicByOperatorId(Long operatorId);

    List<XhpcClearingBankDomain> selectByParams(Map<String, Object> params);

    XhpcClearingBankDomain selectOneByOperatorId(@Param("operatorId")String operatorId);

    Map<String, Object> selectOneMapByOperatorId(@Param("operatorId")String operatorId);

}